id: upgrade_d7_node_page_body_paragraph
migration_group: migrate_drupal_7_geo
label: Body paragraph
source:
  plugin: d7_node
  node_type: page
process:
  uid:
    - plugin: get
      source: node_uid
  status: status
  created: created
  parent_type: "node"
  field_text:
    -
      plugin: sub_process
      source: body
      process:
        value: value
        format:
          plugin: default_value
          default_value: 'full_html'
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: text
dependencies:
  enforced:
    module:
      - paragraphs
migration_dependencies:
  required:
    - upgrade_d7_user
